summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKieran Bingham <kieran.bingham@ideasonboard.com>2022-05-10 15:09:34 +0100
committerKieran Bingham <kieran.bingham@ideasonboard.com>2023-11-20 13:21:20 +0000
commit9d276b1abd9f495e2f15f8bfebb2152f63279fa3 (patch)
tree891b85105e35c861d7c420a18a9c863a573726e9
parent19500b3dbf3f0f53b15d85ef9864aa9fde4e5d39 (diff)
integration: Refactor CTS to support Soraka
Split the Soraka preparation steps out ensuring the device is rebooted, and logged in to the test accounts. Signed-off-by: Kieran Bingham <kieran.bingham@ideasonboard.com>
-rwxr-xr-x56-prepare-soraka-CTS.sh47
-rwxr-xr-x57-build-libcamera-CTS.sh (renamed from 56-build-libcamera-CTS.sh)0
-rwxr-xr-x58-run-CTS-soraka.sh (renamed from 57-run-CTS-soraka.sh)0
3 files changed, 47 insertions, 0 deletions
diff --git a/56-prepare-soraka-CTS.sh b/56-prepare-soraka-CTS.sh
new file mode 100755
index 0000000..20f880e
--- /dev/null
+++ b/56-prepare-soraka-CTS.sh
@@ -0,0 +1,47 @@
+#!/bin/bash
+
+# SPDX-License-Identifier: GPL-2.0-or-later
+#
+# CTS Tree builder
+#
+# This is a highly specific test to compile CTS in a pre-prepared CrOS-SDK with
+# a pre-installed soraka-libcamera target.
+
+CROS=/home/kbingham/iob/libcamera/chromeos
+CROS_CTS=$CROS/CTS/libcamera-cts
+CROS_CTS_RESULTS=$CROS_CTS/results/
+CROS_LIBCAMERA=$CROS/src/third_party/libcamera
+
+source ./common.sh
+
+if [ ! -d $CROS_CTS ] ;
+then
+ echo " [CTS] This test is highly customised to run on Kieran's Build Server"
+ echo " [CTS] Feel free to adapt if possible but otherwise this will skip..."
+ exit 0
+fi
+
+echo "Preparing Soraka for CTS" > $logfile
+
+## Reboot the soraka
+
+ssh soraka reboot
+sleep 1
+
+## Wait for it to come back alive and respond to pings
+until nc -zw 1 -v soraka 22; do
+ sleep 5
+done
+
+## Log in
+login_soraka() {
+ echo "Preparing Soraka for CTS..."
+
+ ( sudo $CROS/chromite/bin/cros_sdk tast run soraka arc.Boot ) 2>&1
+ pass_fail $? "Logging into Soraka"
+}
+
+login_soraka >> $logfile
+
+echo "Soraka logged in and prepared for CTS."
+
diff --git a/56-build-libcamera-CTS.sh b/57-build-libcamera-CTS.sh
index ec23da4..ec23da4 100755
--- a/56-build-libcamera-CTS.sh
+++ b/57-build-libcamera-CTS.sh
diff --git a/57-run-CTS-soraka.sh b/58-run-CTS-soraka.sh
index d315cc5..d315cc5 100755
--- a/57-run-CTS-soraka.sh
+++ b/58-run-CTS-soraka.sh